Debian Bug report logs - #690544
ITP: r-cran-xts -- GNU R package for time series analysis

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lifeng Sun <lifongsun@gmail.com>

Date: Mon, 15 Oct 2012 12:15:01 UTC

Owned by: Lifeng Sun <lifongsun@gmail.com>

Severity: wishlist

Fixed in version r-cran-xts/0.9-7-1

Done: Lifeng Sun <lifongsun@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org:
Bug#690544; Package wnpp. (Mon, 15 Oct 2012 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lifeng Sun <lifongsun@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org. (Mon, 15 Oct 2012 12:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lifeng Sun <lifongsun@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: xts -- GNU R package for time series analysis
Date: Mon, 15 Oct 2012 20:13:33 +0800
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Lifeng Sun <lifongsun@gmail.com>
X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org

* Package name    : xts
  Version         : 0.8-6
  Upstream Author : Jeffrey A. Ryan <jeff.a.ryan@gmail.com>
                    Josh M. Ulrich
* URL             : http://r-forge.r-project.org/projects/xts/
* License         : GPL-2
  Description     : GNU R package for time series analysis -- xts

This package provide uniform handling of R's different time-based data
classes by extending r-cran-zoo, maximizing native format information
preservation and allowing for user level customization and extension,
while simplifying cross-class interoperability.


Cheers,
Lifeng

-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>:
Bug#690544; Package wnpp. (Mon, 15 Oct 2012 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>. (Mon, 15 Oct 2012 12:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 690544@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Lifeng Sun <lifongsun@gmail.com>, 690544@bugs.debian.org
Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org
Subject: Re: Bug#690544: ITP: xts -- GNU R package for time series analysis
Date: Mon, 15 Oct 2012 14:37:52 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 15, 2012 at 20:13:33 +0800, Lifeng Sun wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Lifeng Sun <lifongsun@gmail.com>
> X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org
> 
> * Package name    : xts
>   Version         : 0.8-6
>   Upstream Author : Jeffrey A. Ryan <jeff.a.ryan@gmail.com>
>                     Josh M. Ulrich
> * URL             : http://r-forge.r-project.org/projects/xts/
> * License         : GPL-2
>   Description     : GNU R package for time series analysis -- xts
> 
> This package provide uniform handling of R's different time-based data
> classes by extending r-cran-zoo, maximizing native format information
> preservation and allowing for user level customization and extension,
> while simplifying cross-class interoperability.
> 
Any chance you could choose a better package name?  Something that hints
at this being related to R.  xts to me is the X Test Suite, which has
nothing to do with this.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: r-cran-xts -- GNU R package for time series analysis' from 'ITP: xts -- GNU R package for time series analysis' Request was from Lifeng Sun <lifongsun@gmail.com> to control@bugs.debian.org. (Mon, 15 Oct 2012 12:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690544; Package wnpp. (Mon, 15 Oct 2012 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lifeng Sun <lifongsun@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 15 Oct 2012 12:57:06 GMT) Full text and rfc822 format available.

Message #17 received at 690544@bugs.debian.org (full text, mbox):

From: Lifeng Sun <lifongsun@gmail.com>
To: 690544@bugs.debian.org
Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org
Subject: Re: Bug#690544: ITP: xts -- GNU R package for time series analysis
Date: Mon, 15 Oct 2012 20:54:43 +0800
On 14:37 Mon 10/15/12 Oct     , Julien Cristau wrote:
> Any chance you could choose a better package name?  Something that hints
> at this being related to R.  xts to me is the X Test Suite, which has
> nothing to do with this.

hmmm, rename it to r-cran-xts.


Cheers,
Lifeng

-- 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>:
Bug#690544; Package wnpp. (Mon, 15 Oct 2012 12:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>. (Mon, 15 Oct 2012 12:57:08 GMT) Full text and rfc822 format available.

Message #22 received at 690544@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: Julien Cristau <jcristau@debian.org>
Cc: Lifeng Sun <lifongsun@gmail.com>, 690544@bugs.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org
Subject: Re: Bug#690544: ITP: xts -- GNU R package for time series analysis
Date: Mon, 15 Oct 2012 14:55:18 +0200
2012/10/15 Julien Cristau <jcristau@debian.org>:
> On Mon, Oct 15, 2012 at 20:13:33 +0800, Lifeng Sun wrote:
>
>> Package: wnpp
>> Severity: wishlist
>> Owner: Lifeng Sun <lifongsun@gmail.com>
>> X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org
>>
>> * Package name    : xts
>>   Version         : 0.8-6
>>   Upstream Author : Jeffrey A. Ryan <jeff.a.ryan@gmail.com>
>>                     Josh M. Ulrich
>> * URL             : http://r-forge.r-project.org/projects/xts/
>> * License         : GPL-2
>>   Description     : GNU R package for time series analysis -- xts
>>
>> This package provide uniform handling of R's different time-based data
>> classes by extending r-cran-zoo, maximizing native format information
>> preservation and allowing for user level customization and extension,
>> while simplifying cross-class interoperability.
>>
> Any chance you could choose a better package name?  Something that hints
> at this being related to R.  xts to me is the X Test Suite, which has
> nothing to do with this.
>
> Thanks,
> Julien

Hi,

r-cran-xts would fit existing naming scheme nicely.
The same scheme could be used for performanceanalytics as well.

Cheers,
Balint



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>:
Bug#690544; Package wnpp. (Mon, 15 Oct 2012 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>. (Mon, 15 Oct 2012 13:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 690544@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Lifeng Sun <lifongsun@gmail.com>
Cc: 690544@bugs.debian.org
Subject: Re: Bug#690544: ITP: xts -- GNU R package for time series analysis
Date: Mon, 15 Oct 2012 15:01:29 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 15, 2012 at 20:49:31 +0800, Lifeng Sun wrote:

> retitle 690544 ITP: r-cran-xts -- GNU R package for time series analysis
> thanks
> 
> On 14:37 Mon 10/15/12 Oct     , Julien Cristau wrote:
> > Any chance you could choose a better package name?  Something that hints
> > at this being related to R.  xts to me is the X Test Suite, which has
> > nothing to do with this.
> 
> hmmm, rename it to r-cran-xts.
> 
Thank you.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>:
Bug#690544; Package wnpp. (Mon, 15 Oct 2012 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Lifeng Sun <lifongsun@gmail.com>. (Mon, 15 Oct 2012 13:09:06 GMT) Full text and rfc822 format available.

Message #32 received at 690544@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Lifeng Sun <lifongsun@gmail.com>, 690544@bugs.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org
Subject: Re: Bug#690544: ITP: xts -- GNU R package for time series analysis
Date: Mon, 15 Oct 2012 08:02:32 -0500
On 15 October 2012 at 14:37, Julien Cristau wrote:
| On Mon, Oct 15, 2012 at 20:13:33 +0800, Lifeng Sun wrote:
| 
| > Package: wnpp
| > Severity: wishlist
| > Owner: Lifeng Sun <lifongsun@gmail.com>
| > X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org
| > 
| > * Package name    : xts

All (newer) R CRAN package use the r-cran-$foo naming style. Please follow
suit here too.

Dirk

| >   Version         : 0.8-6
| >   Upstream Author : Jeffrey A. Ryan <jeff.a.ryan@gmail.com>
| >                     Josh M. Ulrich
| > * URL             : http://r-forge.r-project.org/projects/xts/
| > * License         : GPL-2
| >   Description     : GNU R package for time series analysis -- xts
| > 
| > This package provide uniform handling of R's different time-based data
| > classes by extending r-cran-zoo, maximizing native format information
| > preservation and allowing for user level customization and extension,
| > while simplifying cross-class interoperability.
| > 
| Any chance you could choose a better package name?  Something that hints
| at this being related to R.  xts to me is the X Test Suite, which has
| nothing to do with this.
| 
| Thanks,
| Julien
| application/pgp-signature [Press RETURN to save to a file]

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com  



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 14 Jul 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Lifeng Sun <lifongsun@gmail.com>:
You have taken responsibility. (Sat, 21 Sep 2013 04:03:31 GMT) Full text and rfc822 format available.

Notification sent to Lifeng Sun <lifongsun@gmail.com>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 04:03:31 GMT) Full text and rfc822 format available.

Message #39 received at 690544-close@bugs.debian.org (full text, mbox):

From: Lifeng Sun <lifongsun@gmail.com>
To: 690544-close@bugs.debian.org
Subject: Bug#690544: fixed in r-cran-xts 0.9-7-1
Date: Sat, 21 Sep 2013 04:00:25 +0000
Source: r-cran-xts
Source-Version: 0.9-7-1

We believe that the bug you reported is fixed in the latest version of
r-cran-xts, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690544@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lifeng Sun <lifongsun@gmail.com> (supplier of updated r-cran-xts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Sep 2013 18:42:30 +0800
Source: r-cran-xts
Binary: r-cran-xts
Architecture: source i386
Version: 0.9-7-1
Distribution: unstable
Urgency: low
Maintainer: Lifeng Sun <lifongsun@gmail.com>
Changed-By: Lifeng Sun <lifongsun@gmail.com>
Description: 
 r-cran-xts - GNU R package for time series analysis -- xts
Closes: 690544
Changes: 
 r-cran-xts (0.9-7-1) unstable; urgency=low
 .
   * Initial release (Closes: #690544)
Checksums-Sha1: 
 802734b2b4f102fbcbfe843debfa38620156da68 1112 r-cran-xts_0.9-7-1.dsc
 0b8b620ad52f54e4b0de459a206fd664dd84108d 470813 r-cran-xts_0.9-7.orig.tar.gz
 a9b985dbd189408aaf526d5e66dd319abddae36d 1795 r-cran-xts_0.9-7-1.debian.tar.gz
 1bc64213181a36c77d9882b6c8f5c6424c335652 596684 r-cran-xts_0.9-7-1_i386.deb
Checksums-Sha256: 
 1d11c144d0a9ef9e10cffa8d80024c1337556a29f6e40ae32a14197c221707a0 1112 r-cran-xts_0.9-7-1.dsc
 6d065b2a50e30d3bfccdc0624d2a4c7975e59f7f7276b179c9323701fa3028f5 470813 r-cran-xts_0.9-7.orig.tar.gz
 f110712ed3af774de00ec34ce52c86087fe3eecaaf2a4ff27f1680a5ddc1c023 1795 r-cran-xts_0.9-7-1.debian.tar.gz
 43c6ab26094e624c6b1b78e15f8a79106c37491b0bfcd7e86d581066d65ffa45 596684 r-cran-xts_0.9-7-1_i386.deb
Files: 
 4f5ebde899853d30525f16fa8a2721c0 1112 gnu-r optional r-cran-xts_0.9-7-1.dsc
 3a5437f29d1632eb488eb52c2031ce2a 470813 gnu-r optional r-cran-xts_0.9-7.orig.tar.gz
 fd685046763561a69e60273e96935264 1795 gnu-r optional r-cran-xts_0.9-7-1.debian.tar.gz
 09ffb081e17c90ba7ae40259bba19ace 596684 gnu-r optional r-cran-xts_0.9-7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSKf0wCZSR95Gw07cRAmTnAJ9RsGy5rH0N4HKwNkp0vvCo2bPKSACfX54o
aJKEvvw85JwjpoLuRHHMY6s=
=Xbo7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Oct 2013 07:30:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:04:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.